QGIS Application - Bug report #7686
Contexts for special columns in expressions
2013-04-23 10:48 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 16602
Description

When printing through Atlas, feature filtering does not appear to be working with $rownum

It works with fields.

History

#1 - 2013-09-26 10:05 AM - Vincent Picavet
- Assignee set to Hugo Mercier

#2 - 2014-02-07 05:02 PM - Nyall Dawson

- Category changed from 33 to Map Composer/Printing

- Subject changed from Atlas not filtering $rownum to [composer] Atlas not filtering $rownum
#3 - 2014-02-11 11:54 AM - Nyall Dawson

- Category deleted (Map Composer/Printing)

- Assignee deleted (Hugo Mercier)
- Subject changed from [composer] Atlas not filtering $rownum to Contexts for special columns in expressions

Not actually a bug in atlas - $rownum is only usable when in field calculator. The correct solution is to have context-defined expression variables, as noted
in 684dd890a3359a2fb189b289b0bb65a42a9f4105 .

#4 - 2014-02-11 09:04 PM - Martin Dobias
- Status changed from Open to Closed
- Resolution set to invalid

#5 - 2014-02-11 10:53 PM - Paolo Cavallini

| agree with the solution. However, this should not be closed, as it is still an issue for the user. Better changing the name, eventually, but please reopen it.

#6 - 2014-02-12 05:32 AM - Martin Dobias

Raised a new ticket for that: #9546
